%{?nodejs_find_provides_and_requires}

%global packagename loud-rejection
%global enable_tests 0
# tests disabled until npm(ava) is packaged in Fedora

Name:		nodejs-loud-rejection
Version:	1.6.0
Release:	1%{?dist}
Summary:	Make unhandled promise rejections fail loudly instead of the default silent fail

License:	MIT
URL:		https://github.com/sindresorhus/loud-rejection
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/loud-rejection/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(currently-unhandled)
BuildRequires:	npm(signal-exit)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Make unhandled promise rejections fail loudly instead of the default silent fail


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js api.js register.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Jul 16 2016 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-1
- Update to upstream 1.6.0 release

* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
